package com.template.services;

import com.template.model.pojo.SmartSemester;
import com.template.model.pojo.SmartSemester;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 应用管理 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-03-07
 */
public interface SmartSemesterService extends IService<SmartSemester> {
    int insertSmartSemester(SmartSemester rns);

    int updateSmartSemester(SmartSemester rns);

    SmartSemester querySemesterByName(String name);

    PageUtils<SmartSemester> queryPageSmartSemesters(int currentPage, int pageCount, String name);

    int deleteSmartSemesterById(int id);

    SmartSemester getSmartById(int id);

    List<SmartSemester> queryAppletSemesters();

    SmartSemester getSemester(LocalDateTime now);

    List<SmartSemester> getSemestersByTime(LocalDateTime now);

    List<SmartSemester> getSemesterTime(Date startTime, Date endTime);

}
